# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Syntax/Keyword/Match.pm) perl(Test2/V0.pm) perl(XS/Parse/Infix.pm) perl(XS/Parse/Infix/Builder.pm)
# END SourceDeps(oneline)
%define module_name Syntax-Operator-Identical
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt2
Summary: almost certainly a terrible idea; don't use this
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides an infix operator that implements an identity test
between two values, in a way somewhat similar to the now-deprecated smartmatch
(`~~') operator, or other similar ideas.

It is probably not a good idea to use this operator; it is written largely as
a demonstration on how such an operator *could* be implemented, as well as to
illustrate how fragile it is, in particular around the "is it a string or a
number?" part of the logic.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.01-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.01-alt1
- initial import by package builder

